var path = require('path');


// 定义一些常量，比如文件名等
var config =  {
	depsFileName: 'deps',
	versionFileName: 'version', // 缓存版本信息文件名
	cacheDir: '.cachefile', // 缓存deps的文件夹
    //默认生产环境
    'upxEnv':'production'
};

// 设置upx环境
// 本地调试环境
var upxEnv = process.env.UPX_ENV;
if(upxEnv === 'local' || upxEnv === 'dev' || upxEnv === 'daily'){
    config.upxEnv = 'daily';
} else if(upxEnv === 'pre' || upxEnv === 'prepub') {
    config.upxEnv = 'prepub';
}


module.exports = config;
